<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->integer("operate_user_id")->comment("操作人id")->after('payment_id');
            $table->string("operate_name")->comment("操作人名")->after('operate_user_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('s2_shop_order_refund', function (Blueprint $table) {
            $table->dropColumn('operate_user_id');
            $table->dropColumn('operate_name');
        });
    }
};
